Skip to main content
GET
/
v1
/
config
/
fee-schedules
/
{scheduleId}
Get a fee schedule
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/config/fee-schedules/{scheduleId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
  "tenantId": "019c96a0-0a98-7287-9a31-786e0809c769",
  "name": "Card Processing - Visa",
  "currency": "USD",
  "applicationOrder": "PARALLEL",
  "roundingScale": 2,
  "roundingMode": "HALF_UP",
  "items": [
    {
      "id": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
      "name": "interchange",
      "priority": 1,
      "structureType": "PERCENTAGE",
      "structure": {},
      "createdAt": "2025-01-15T10:30:00Z",
      "updatedAt": "2025-01-15T10:30:00Z"
    }
  ],
  "createdAt": "2025-01-15T10:30:00Z",
  "updatedAt": "2025-01-15T10:30:00Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Path Parameters

scheduleId
string
required

The unique identifier of the fee schedule.

Response

Successfully retrieved fee schedule

Fee schedule with its fee items

id
string<uuid>

Unique identifier for the fee schedule

Example:

"019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b"

tenantId
string<uuid>

Tenant that owns this fee schedule

Example:

"019c96a0-0a98-7287-9a31-786e0809c769"

name
string

Display name for the fee schedule

Maximum string length: 100
Example:

"Card Processing - Visa"

currency
string

Currency code (ISO 4217)

Example:

"USD"

applicationOrder
enum<string>

How multiple fee items compose

Available options:
PARALLEL,
CASCADING
Example:

"PARALLEL"

roundingScale
integer

Number of decimal places for rounding

Example:

2

roundingMode
enum<string>

Rounding method for intermediate calculations

Available options:
HALF_UP,
BANKERS,
FLOOR,
CEIL,
TRUNCATE
Example:

"HALF_UP"

items
object[]

Fee items in this schedule

Maximum array length: 100
createdAt
string<date-time>

Creation timestamp in RFC 3339 format

Example:

"2025-01-15T10:30:00Z"

updatedAt
string<date-time>

Last update timestamp in RFC 3339 format

Example:

"2025-01-15T10:30:00Z"